#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "SplashViewInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API USplashViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API ISplashViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void ShowSaveGameOverlay();

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetVersionText(const FText& text);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetSpecialEvent(const FName& eventLabel);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetPressKeyTextVisibility(const bool isVisible);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetLoadingTextVisibility(const bool isVisible);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetLoadingText(const FText& text);

};
